Skip to main content
Fetch a single thread item by id.

POST /revisions/:id/data/query (Command: get_session_thread_item)

Request Body

ParameterTypeRequiredDescription
enginestringYesMust be workflow_blobhub.
commandstringYesMust be get_session_thread_item.
session_idstringYesThe ID of the session.
aliasstringYesAlias of the thread session object.
item_idstringYesThe item id returned by post_session_thread_item.

Response

ParameterTypeDescription
itemobjectThe retrieved thread item.

Errors

  • not_found — the item does not exist, or its stored session_id/alias/revision_id does not match the request.

Example

{
  "engine": "workflow_blobhub",
  "command": "get_session_thread_item",
  "session_id": "sess_001",
  "alias": "onboarding_thread",
  "item_id": "itm_01H..."
}
{
  "item": {
    "id": "itm_01H...",
    "session_id": "sess_001",
    "revision_id": "rev_001",
    "alias": "onboarding_thread",
    "created_at": "2026-05-22T22:00:00.000000+00:00",
    "user_id": "usr_001",
    "content": [{ "type": "text", "text": "Hello, world." }]
  }
}

See also